Package org.eclipse.m2m.atl.engine.vm

## Class ASMInstruction

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ASMInstruction

Direct Known Subclasses:
  `ASMInstructionWithOperand`

    public class ASMInstruction
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `mnemonic`

### Constructor Summary

Constructors
`ASMInstruction​(java.lang.String mnemonic)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMnemonic()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mnemonic

    protected java.lang.String mnemonic

### Constructor Detail

#### ASMInstruction

    public ASMInstruction​(java.lang.String mnemonic)

### Method Detail

#### getMnemonic

    public java.lang.String getMnemonic()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`